      SUBROUTINE WIZONE(AIRMAS, FINFB, FLOC, FLOW10, FLOW14,
     +             WIN, WIM, WINF, WINFC, WINFS, WINFSS, WINT, IDBG)
C
C COMPUTE ZONE MOISTURE BALANCE
C
C    WIM IS MEAN MOISTURE IN ZONES(CALC IN LOOP)
CMDK NWL
CMDK NZW
CMDK NZN
CMDK NZN7
C - - -COMMON BLOCKS
CMDK ACND
CMDK BLKGS2
CMDK DUCTS2
CMDK DUCTS4
CMDK ENCBK1
CMDK ENCBLK
CMDK MZON1
CMDK OWETHR
CMDK STRUCA
CMDK WIBLK
C - - -DIMENSIONS OF FORMAL PARAMETERS
      INTEGER FLOC(NZN7)
      REAL AIRMAS(NZN), WIN(NZN), WINFC(NZN), WINFN(NZN),
     +     WINFSS(NZN)
      WINF=0.
C
      IF(IBRP.GT.0)WMIX=WBAS
      IF(IBRP.EQ.0)WMIX=WIM
      WAC=WMIX-WMOIST/FLOW14
      WHUM=FLOW10*(WAC-WIM)
C
      FLCSM1=FLOC(1)+FLOC(2)
      IF(NROOMS.GT.1)THEN
          DO 10 J=2,NROOMS
   10     FLCSM1=FLCSM1+FLOC(7+J)
          ENDIF
      FINFB=PHI*WAIRB*FLCSM1
      WINFS=0.
      DO 20 J=1,NROOMS
      NRM=NRMA(J)
      FLC=FLOC(NRM)
      IF(NRM.GT.1)FLC=FLOC(NRM+7)
C
C  WINFS IS ADDITIONAL INFILTRATION DUE TO COMB AIR OF FURNACE IN
C        LIVING SPACE CLOSET
      WINFSN=FINFB*(WODHUM-WIM)*FLC
      WINFN(NRM)=WINFC(NRM)-WI(NRM)*WINFSS(NRM)
      WSUM=WINFN(NRM)+WINT*RWINT(NRM)+WHUM*RWSDCT(NRM)+WINFSN
      WIN(NRM)=WSUM/AIRMAS(NRM)+WI(NRM)
C  FURNACE CAN ONLY BE IN ONE ZONE, SO WINFSN WILL NOT BE ZERO IN
C      ONLY ONE ZONE
      IF(WINFSN.NE.0.)WINFS=WINFSN
   20 CONTINUE
      WINF=AVGWV(WINFN,NROOMS,ROMVOL)
      IF(IDBG.NE.0)THEN
        WRITE(60,*)' LEAVING WIZONE HERE!'
        ENDIF
      RETURN
      END
